#
# spec file for package python-pycdio
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pycdio
Version:        2.1.1
Release:        1.7
Summary:        Python Bindings for the CDIO Library
License:        GPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://pypi.python.org/pypi/pycdio/
Source:         https://files.pythonhosted.org/packages/source/p/pycdio/pycdio-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  libcdio-devel >= 2.0.0
BuildRequires:  python-rpm-macros
BuildRequires:  swig
%python_subpackages

%description
pycdio is a Python interface to the CD Input and Control library (libcdio).

The pycdio (and libcdio) libraries encapsulate CD-ROM reading and control.
Python programs wishing to be oblivious of the OS- and device-dependent
properties of a CD-ROM can use this library.

%prep
%setup -q -n pycdio-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%license COPYING
%doc ChangeLog README.rst THANKS
%{python_sitearch}/*

%changelog
* Tue Jul 19 2022 Dirk Müller <dmueller@suse.com>
- update to 2.1.1:
  * VERSION.py: Get ready for release 2.1.1
  * test/test-cdtext.py: Test tweak
  * example/iso1.py, example/iso2.py: Imprive iso2.py when there is an
    error iso1.py: don't translate filenames in ISO9660
  * example/iso2.py: Wrong file name in iso2.py example Case matters.  Fixes #1
  * Makefile, cdio.py, example/Makefile, iso9660.py,
    test/test-cdtext.py: Remove legacy 0.8{2,3} libcdio code libcdio before 2.0.0 really doesn't exist anymore
  * VERSION.py: Bump version number to dev
  * cdio.py, swig/track.swg: Black and update copyright
  * admin-tools/unixccompiler.py, setup.py: In 2021, Python3 is the
    rule not the exception
* Tue Sep 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.1.0:
  * various python 3 compat fixes
* Wed Jul 18 2018 tchvatal@suse.com
- Bump the libcdio requirement for >= 2.0.0
* Mon Jul  2 2018 dmueller@suse.com
- update to 2.0.0:
  - Update to libcdio 2.0.0 API
  - remove old compability code before 2.0.0
  - Update Python packaging info
- switch to singlespec
* Wed Feb  4 2015 lnussel@suse.de
- fix license tag (GPL-3.0+)
* Wed Nov 27 2013 p.drouand@gmail.com
- Update to version 0.20
  + Please read the ChangeLog for more news
- Complete rework of specfile
  + Too many changes, sorry
* Sun Jun  5 2011 pascal.bleser@opensuse.org
- update to 0.17
* Fri Apr 16 2010 pascal.bleser@opensuse.org
- initial package (0.16)
